Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
dubbi su hal dbus e overlay
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
Nio84
Tux's lil' helper
Tux's lil' helper


Joined: 22 Jul 2009
Posts: 140

PostPosted: Fri Jul 02, 2010 11:42 am    Post subject: dubbi su hal dbus e overlay Reply with quote

Salve ho finito adesso di installare Gentoo ....prima di mettere Xorg 1.7.6 mi stavo chiedendo... ma hal e dbus ....sono indispensabili per un uso desktop con kde? Da quello che ho letto sono degli intermediari tra programmi file e hardware ....

questa guida è corretta per l installazione?

http://www.gentoo.org/proj/it/desktop/x/x11/xorg-server-1.5-upgrade-guide.xml

Xorg 1.8 so che non usa Hal .....ma non vorrei che fosse instabile e non so se farebbe a botte con i driver proprietari ati (i piu recenti sono i 10.6 a quanto ho capito)

EDIT:Tra le altre cose ho letto che dbus è stato sostituito da dcop in kde 4 .....quindi cosa devo fare?
_________________
IL DESTINO è CONTRO DI ME?!.....................TANTO PEGGIO PER LUI!!!


Last edited by Nio84 on Fri Jul 02, 2010 4:20 pm; edited 1 time in total
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1518
Location: Cosenza, Italy

PostPosted: Fri Jul 02, 2010 1:06 pm    Post subject: Reply with quote

diciamo che hal e dbus servono per far partire X, supponendo di installare la versione stabile cioè 1.7.x

cmq dovresti seguire questa
_________________
Contattami se vuoi contribuire in:
-Arch tester
-Chromium tester
-Traduzione doc. it
-Security
Back to top
View user's profile Send private message
darkmanPPT
Veteran
Veteran


Joined: 13 Apr 2006
Posts: 1069
Location: vi/bo

PostPosted: Fri Jul 02, 2010 1:26 pm    Post subject: Reply with quote

allora.
per Xorg 1.7 vale anche la guida:
http://www.gentoo.org/proj/en/desktop/x/x11/xorg-server-1.6-upgrade-guide.xml

kde usa dbus.
edit: la seguente cosa è valida se non hai "hal". ops, mi son confuso. mea culpa
se non lo hai, non monta automaticamente le chiavette usb (giusto per dirne una)

Code:
Tra le altre cose ho letto che dbus è stato sostituito da dcop in kde 4


questa m'è nuova. comunque, la versione che trovi in portage di kde4 usa dbus.

ps: ma sono l'unico a cui il sito, ultimamente, va lentissimo?
_________________
Darkman


Last edited by darkmanPPT on Fri Jul 02, 2010 1:59 pm; edited 1 time in total
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4657
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Fri Jul 02, 2010 1:40 pm    Post subject: Re: dubbi su hal dbus Reply with quote

Nio84 wrote:

questa guida è corretta per l installazione?

Xorg 1.8 so che non usa Hal ....

non esiste ancora una guida ufficiale alla 1.8, ma qui trovi un'anteprima della guida.

non farti ingannare dal titolone in grande (Xorg 1.6 :roll: ).

è un baco di quell'oca del traduttore...
:oops:
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
Nio84
Tux's lil' helper
Tux's lil' helper


Joined: 22 Jul 2009
Posts: 140

PostPosted: Fri Jul 02, 2010 1:49 pm    Post subject: Reply with quote

Grazie delle risposte ........cloc ...a me il sito va abbastanza lentamente e certe volte non mi fa accedere al forum...

mmmm ma se volessi installare Xorg 1.8........ e condigurarlo con aticonfig --initial?
Cioè Xorg e ati driver proprietari 1.6 vi sembra un accoppiata buona o no?
_________________
IL DESTINO è CONTRO DI ME?!.....................TANTO PEGGIO PER LUI!!!
Back to top
View user's profile Send private message
darkmanPPT
Veteran
Veteran


Joined: 13 Apr 2006
Posts: 1069
Location: vi/bo

PostPosted: Fri Jul 02, 2010 1:58 pm    Post subject: Reply with quote

Nio84 wrote:
Grazie delle risposte ........cloc ...a me il sito va abbastanza lentamente e certe volte non mi fa accedere al forum...

mmmm ma se volessi installare Xorg 1.8........ e condigurarlo con aticonfig --initial?
Cioè Xorg e ati driver proprietari 1.6 vi sembra un accoppiata buona o no?


anche io ho configurato Xorg in questo modo. (uso anche i driver closed dell'ati).io uso la versione 10.4-r1 e non ho problemi.
a suo tempo mi diedero problemi con xorg 1.8 in quanto la loro installazione creava un conflitto. non so se questa cosa sia stata sistemata o meno.
se ti capita pure a te, ti scrivo come ho risolto io.
_________________
Darkman
Back to top
View user's profile Send private message
Nio84
Tux's lil' helper
Tux's lil' helper


Joined: 22 Jul 2009
Posts: 140

PostPosted: Fri Jul 02, 2010 2:02 pm    Post subject: Reply with quote

oK .... provero con Xorg 1.8 .........

Che Dio me la mandi BONA .........e no racchia

Quindi le flag in make.conf saranno
udev e dbus

devo darere l'emerge -DNu world?
_________________
IL DESTINO è CONTRO DI ME?!.....................TANTO PEGGIO PER LUI!!!
Back to top
View user's profile Send private message
Zizo
Apprentice
Apprentice


Joined: 04 Feb 2010
Posts: 200
Location: Padova, Italy

PostPosted: Fri Jul 02, 2010 2:06 pm    Post subject: Reply with quote

La complicazione sta nel fatto che gli ati-driver-10.* in portage hanno come dipendenza "!>=x11-base/xorg-server-1.8.0", cioè non vogliono xorg-server maggiore o uguale a 1.8.0.

[sottovoce]A dire il vero dovrebbero funzionare ugualmente anche con xorg-server-1.8.0, ma per farlo dovresti modificare l'ebuild o usare gli ati-drivers-10.4-r1 dall'overlay gentoo-quebec[/sottovoce]
Back to top
View user's profile Send private message
Nio84
Tux's lil' helper
Tux's lil' helper


Joined: 22 Jul 2009
Posts: 140

PostPosted: Fri Jul 02, 2010 2:09 pm    Post subject: Reply with quote

Ed è piu semplice modificare l'ebuild (non credo) e usare i 10.4 ? Emmm cosa sono gli overley?
_________________
IL DESTINO è CONTRO DI ME?!.....................TANTO PEGGIO PER LUI!!!
Back to top
View user's profile Send private message
Zizo
Apprentice
Apprentice


Joined: 04 Feb 2010
Posts: 200
Location: Padova, Italy

PostPosted: Fri Jul 02, 2010 2:17 pm    Post subject: Reply with quote

Overlay: Manuale Gentoo, 5. Separarsi dalla collezione di software originale.

Per il resto fatti consigliare da darkmanPPT e su come ha operato, anche se da quello che ha scritto si può già capire che utilizza l'overlay.

Io sarei per la modifica degli ebuild in locale, odio gli overlay :twisted:
Back to top
View user's profile Send private message
Nio84
Tux's lil' helper
Tux's lil' helper


Joined: 22 Jul 2009
Posts: 140

PostPosted: Fri Jul 02, 2010 2:24 pm    Post subject: Reply with quote

[url] http://it.bongolinux.com/modificare-ebuild-gentoo%E2%80%A6/124104/ [/url]
Editare un ebuild a mano credo sia troppo rischioso per un niubbo...

Dalla guida gentoo non ho capito esattamente dove fare questa directory e se ha effetti anche sull albero degli aggiornamenti.... e inoltre io vorrei che questo overley fosse solo per i driver ati... cioè usare portage per tutto il resto del sistema.
_________________
IL DESTINO è CONTRO DI ME?!.....................TANTO PEGGIO PER LUI!!!
Back to top
View user's profile Send private message
Zizo
Apprentice
Apprentice


Joined: 04 Feb 2010
Posts: 200
Location: Padova, Italy

PostPosted: Fri Jul 02, 2010 2:30 pm    Post subject: Reply with quote

Scusa, guarda questo: http://www.gentoo.org/proj/it/overlays/userguide.xml

Il link al manuale effettivamente non copre tutti gli aspetti della cosa.
Back to top
View user's profile Send private message
Nio84
Tux's lil' helper
Tux's lil' helper


Joined: 22 Jul 2009
Posts: 140

PostPosted: Fri Jul 02, 2010 2:40 pm    Post subject: Reply with quote

Non li potevano chiamare semplicemente repository non ufficiali?! :D

Comq se installo layman .... i driver 10.4 sono già forniti là dentro?

Tutto cio' che sta negli overlay e meno stabile e testato ?Negli overley fanno test sui pacchetti ...oppure è solo un fatto che certi pacchetti a gentoo non piacciono e quindi li rende disponibili nell'overlay ?
_________________
IL DESTINO è CONTRO DI ME?!.....................TANTO PEGGIO PER LUI!!!
Back to top
View user's profile Send private message
Zizo
Apprentice
Apprentice


Joined: 04 Feb 2010
Posts: 200
Location: Padova, Italy

PostPosted: Fri Jul 02, 2010 2:48 pm    Post subject: Reply with quote

Layman è solo il mezzo per gestire gli overlay.

L'overlay che andrai ad aggiungere è gentoo-quebec, dove sono contenuti i driver 10.4 che ti servono.

Quote:
Tutto cio' che sta negli overlay e meno stabile e testato ?Negli overley fanno test sui pacchetti ...oppure è solo un fatto che certi pacchetti a gentoo non piacciono e quindi li rende disponibili nell'overlay ?


Tutte e tre le cose, e anche altre :lol:
Spesso gli ebuild degli overlay (specialmente quelli nell'overlay sunrise) sono scritti dagli utenti di gentoo, non dagli sviluppatori.
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1518
Location: Cosenza, Italy

PostPosted: Fri Jul 02, 2010 2:49 pm    Post subject: Reply with quote

se vuoi usare ebuild non inclusi in portage non c'è bisogno di installare forzatamente layman, ne aggiungere successivamente overlay.

E' sufficiente copiare l'ebuild in locale e procedere

P.S.
Code:
PORTDIR_OVERLAY

_________________
Contattami se vuoi contribuire in:
-Arch tester
-Chromium tester
-Traduzione doc. it
-Security
Back to top
View user's profile Send private message
Nio84
Tux's lil' helper
Tux's lil' helper


Joined: 22 Jul 2009
Posts: 140

PostPosted: Fri Jul 02, 2010 3:40 pm    Post subject: Reply with quote

eh vabbe ....levarmi di mezzo hal mi preme troppo .... tento di vedere con gli overlay ......

Darkman , se avessi difficoltà....ti chiedo assistenza
_________________
IL DESTINO è CONTRO DI ME?!.....................TANTO PEGGIO PER LUI!!!
Back to top
View user's profile Send private message
Peach
Advocate
Advocate


Joined: 08 Mar 2003
Posts: 3686
Location: London, UK

PostPosted: Fri Jul 02, 2010 4:00 pm    Post subject: Reply with quote

Nio84 wrote:
Non li potevano chiamare semplicemente repository non ufficiali?! :D

tecnicamente non sono repository in quanto non contengono i pacchetti, i pacchetti vengono scaricati dai mirror.
l'albero di portage e' un albero categorizzato di ebuild, che sono ne piu' ne meno che script di configurazione (a grandi linee)
gli overlay si chiamano cosi perche' sovrascrivono (parzialmente) la struttura ad albero di portage (correggetemi se dico idiozie)
la parte della guida utente relativa agli overlay
http://www.gentoo.org/proj/it/overlays/userguide.xml
e nel manuale di portage (che mi pare ti sia gia' stata linkata prima):
http://www.gentoo.org/doc/it/handbook/handbook-x86.xml?part=3&chap=5

(ps: benvenuto)
_________________
Gentoo user since 2004.
"It's all fun and games, until someone loses an eye" - mom
Back to top
View user's profile Send private message
Nio84
Tux's lil' helper
Tux's lil' helper


Joined: 22 Jul 2009
Posts: 140

PostPosted: Fri Jul 02, 2010 4:07 pm    Post subject: Reply with quote

Code:
 Binary /usr/bin/svn seems to be missing . Overlay type "svn" not supported . e poi mi chiede se voglio scaricare dev-utils/subversion


Ho scaricato layman e gli ho detto di aggiungere gentoo-quebec .... lo ste è sopra
_________________
IL DESTINO è CONTRO DI ME?!.....................TANTO PEGGIO PER LUI!!!


Last edited by Nio84 on Fri Jul 02, 2010 4:16 pm; edited 1 time in total
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1518
Location: Cosenza, Italy

PostPosted: Fri Jul 02, 2010 4:11 pm    Post subject: Reply with quote

vuol dire che necessita di svn, emergilo
_________________
Contattami se vuoi contribuire in:
-Arch tester
-Chromium tester
-Traduzione doc. it
-Security
Back to top
View user's profile Send private message
Nio84
Tux's lil' helper
Tux's lil' helper


Joined: 22 Jul 2009
Posts: 140

PostPosted: Fri Jul 02, 2010 4:19 pm    Post subject: Reply with quote

e subversion lo devo scaricare?
_________________
IL DESTINO è CONTRO DI ME?!.....................TANTO PEGGIO PER LUI!!!
Back to top
View user's profile Send private message
Nio84
Tux's lil' helper
Tux's lil' helper


Joined: 22 Jul 2009
Posts: 140

PostPosted: Fri Jul 02, 2010 4:31 pm    Post subject: Reply with quote

Nio84 wrote:
e subversion lo devo scaricare?
scusate e' imbarazzante....non sapevo che svn e subversion fossero la stessa cosa
_________________
IL DESTINO è CONTRO DI ME?!.....................TANTO PEGGIO PER LUI!!!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum